Index: pykota/trunk/pykota/version.py
===================================================================
--- pykota/trunk/pykota/version.py (revision 2418)
+++ pykota/trunk/pykota/version.py (revision 2420)
@@ -22,5 +22,5 @@
 #
 
-__version__ = "1.23alpha24_unofficial"
+__version__ = "1.23alpha25_unofficial"
 
 __doc__ = "PyKota : a complete Printing Quota Solution for CUPS and LPRng."
Index: pykota/trunk/bin/pkturnkey
===================================================================
--- pykota/trunk/bin/pkturnkey (revision 2419)
+++ pykota/trunk/bin/pkturnkey (revision 2420)
@@ -47,4 +47,7 @@
   -h | --help          Prints this message then exits.
   
+  -d | --dryrun        Doesn't modify the database at all, but instead prints
+                       what it would do.
+                       
   -u | --uidmin uid    Only adds users whose uid is greater than or equal to
                        uid. You can pass an username there as well, and its
@@ -87,16 +90,26 @@
         return [entry[0] for entry in pwd.getpwall() if uidmin <= entry[2] <= uidmax]
         
-    def createPrinters(self, printers) :    
+    def runCommand(self, command, dryrun) :    
+        """Launches an external command."""
+        if dryrun :
+            self.printInfo("%s" % command)
+        else :    
+            self.logdebug("%s" % command)
+            os.system(command)
+            
+    def createPrinters(self, printers, dryrun=0) :    
         """Creates all printers in PyKota's database."""
-        needswarning = [p[0] for p in printers if p[1].find("cupspykota") == -1]
-        command = "pkprinters --add %s" % " ".join(['"%s"' % p[0] for p in printers])
-        self.logdebug("Launching : %s" % command)
-        os.system(command)
-        
-    def createUsers(self, users) :    
+        if printers :
+            needswarning = [p[0] for p in printers if p[1].find("cupspykota") == -1]
+            command = "pkprinters --add %s" % " ".join(['"%s"' % p[0] for p in printers])
+            self.runCommand(command, dryrun)
+            for p in needswarning :
+                self.printInfo(_("Printer %s is not managed by PyKota yet. Please modify printers.conf and restart CUPS.") % p, "warn")
+        
+    def createUsers(self, users, dryrun=0) :
         """Creates all users in PyKota's database."""
-        command = "edpykota --add --noquota %s" % " ".join(['"%s"' % u for u in users])
-        self.logdebug("Launching : %s" % command)
-        os.system(command)
+        if users :
+            command = "edpykota --add --noquota %s" % " ".join(['"%s"' % u for u in users])
+            self.runCommand(command, dryrun)
         
     def main(self, names, options) :
@@ -137,9 +150,10 @@
         printers = self.listPrinters()                    
         
-        print "Please be patient...",
-        sys.stdout.flush()
-        self.createPrinters(printers)
-        self.createUsers(users)
-        print
+        print "Please be patient..."
+        
+        if printers :
+            self.createPrinters(printers, options["dryrun"])
+            self.createUsers(users, options["dryrun"])
+        
         print "Database initialized."
                     
@@ -148,6 +162,6 @@
     retcode = 0
     try :
-        short_options = "hvu:U:"
-        long_options = ["help", "version", "uidmin=", "uidmax="]
+        short_options = "hvdu:U:"
+        long_options = ["help", "version", "dryrun", "uidmin=", "uidmax="]
         
         # Initializes the command line tool
@@ -164,4 +178,5 @@
         options["help"] = options["h"] or options["help"]
         options["version"] = options["v"] or options["version"]
+        options["dryrun"] = options["d"] or options["dryrun"]
         options["uidmin"] = options["u"] or options["uidmin"]
         options["uidmax"] = options["U"] or options["uidmax"]
Index: pykota/trunk/man/genman.sh
===================================================================
--- pykota/trunk/man/genman.sh (revision 2342)
+++ pykota/trunk/man/genman.sh (revision 2420)
@@ -14,5 +14,5 @@
 # $Id$
 #
-for prog in pkbcodes pkmail pkbanner autopykota dumpykota edpykota pykotme repykota warnpykota pkprinters pkhint pykosd ; do 
+for prog in pkturnkey pkbcodes pkmail pkbanner autopykota dumpykota edpykota pykotme repykota warnpykota pkprinters pkhint pykosd ; do 
     echo $prog ;
     help2man --no-info --section=1 --manual "User Commands" --source="C@LL - Conseil Internet & Logiciels Libres" --output=$prog.1 $prog ; 
Index: pykota/trunk/NEWS
===================================================================
--- pykota/trunk/NEWS (revision 2418)
+++ pykota/trunk/NEWS (revision 2420)
@@ -22,4 +22,12 @@
 PyKota NEWS :
        
+    - 1.23alpha25 :
+    
+        - Added a --dryrun command line switch to pkturnkey.
+        
+        - Improved pkturnkey's general usability.
+        
+        - Added a manpage for pkturnkey.
+        
     - 1.23alpha24 :
     
